Bug 366681 - Connecting Sansa mp3 player makes system very slow
Connecting Sansa mp3 player makes system very slow
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-05 07:49 EST by Pavel Rosenboim
Modified: 2009-01-09 00:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:05:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
USB log (191.79 KB, application/x-bzip)
2007-11-13 15:32 EST, Pavel Rosenboim
no flags Details
unbzipped usb log (1.87 MB, text/plain)
2008-02-03 18:47 EST, Christopher Brown
no flags Details

  None (edit)
Description Pavel Rosenboim 2007-11-05 07:49:03 EST
Description of problem:
When I connect Sansa E280 in mass storage mode to Fedora box, it becomes very
slow. It takes nautilus about 10 minutes to open window and display content of
device. Rest of the system also becomes very slow. I see no unusual messages in
system log, but top shows relatively high activity of ksoftirq and usb-storage
between 5 and 10% of CPU usage for each. After about 10 minutes, system becomes
sane again, and after that operations with device don't take too many CPU.

Version-Release number of selected component (if applicable):

How reproducible:

Additional info:
Same happens with latest F7 kernels (including latest 2.6.22 kernel). I didn't
connect Sansa to this box for quite some time, so I can't  spot last update that
broke it, but it worked before. Other USB mass-storage devices - disk-on-key and
different mp3 player do not exhibit such behavior.
Comment 1 Pete Zaitcev 2007-11-05 18:23:07 EST
Could you capture a usbmon trace, please? There's a sort of a howto in:
Comment 2 Pavel Rosenboim 2007-11-06 09:34:39 EST
I don't have usbmon kernel module. Is there a separate package for it or I have
to rebuild a kernel with it enabled?
Comment 3 Pavel Rosenboim 2007-11-13 15:32:22 EST
Created attachment 257421 [details]
USB log
Comment 4 Christopher Brown 2008-02-03 18:45:20 EST

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug and will try and assist you in resolving it if I
can. Thanks for adding the USB log however in future please just attach as type
text/plain as developers will be able to review the logs faster.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 5 Christopher Brown 2008-02-03 18:47:17 EST
Created attachment 293843 [details]
unbzipped usb log
Comment 6 Pavel Rosenboim 2008-02-05 01:27:22 EST
The problem still exists with latest F7 and F8 kernels ( and It is more severe (takes more time to return to normal) with
F7 kernel.
Comment 7 Pete Zaitcev 2008-02-13 21:46:41 EST
Actually I noticed it too... if it's the same root cause, but the
symptom is the same. Connecting my iPod causes a similar slow-down.
The usbmon log looks about the same (e.g. nothing out of ordinary).

I think that an application (not necesserily Nautilus) pre-reads
contents of certain removables now, dunno to what end... But I cannot
figure out what kernel did to trigger it. Certainly Nautilus wasn't
updated in a while in F7? That is, unless they pulled the newest
one in response to a security fix.
Comment 8 Bug Zapper 2008-11-26 03:12:26 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 9 Bug Zapper 2009-01-09 00:05:35 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.